Definitions.OperationType
Date: 2014-06-19

org.gcube.informationsystem.registry.impl.state

## Enum Definitions.OperationType

- java.lang.Object
- - java.lang.Enum<Definitions.OperationType>
  - - org.gcube.informationsystem.registry.impl.state.Definitions.OperationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Definitions.OperationType>
  Enclosing class:
    Definitions

      public static enum Definitions.OperationType
      extends java.lang.Enum<Definitions.OperationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `create`
    `destroy`
    `update`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Definitions.OperationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Definitions.OperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### create

          public static final Definitions.OperationType create

    - #### update

          public static final Definitions.OperationType update

    - #### destroy

          public static final Definitions.OperationType destroy

  - ### Method Detail

    - #### values

          public static Definitions.OperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Definitions.OperationType c : Definitions.OperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Definitions.OperationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null